%global srcname rpdb
%global sum A wrapper around pdb allowing remote debugging


Name: python-%{srcname}
Version: 0.1.6
Release: 8%{?dist}
Summary: %{sum}
License: BSD
URL: https://github.com/tamentis/%{srcname}
Source0: https://github.com/tamentis/%{srcname}/archive/%{version}.tar.gz
BuildArch: noarch
BuildRequires: python2-devel python3-devel


%description
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%package -n python2-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%package -n python3-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/*.egg-info


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.6-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.6-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 06 2016 Randy Barlow <randy@electronsweatshop.com> 0.1.6-1
- Release 0.1.6, which introduces the handle_trap() feature.

* Mon Nov 23 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-2
- Include more explicit paths in the files section.

* Fri Nov 20 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-1
- Initial release
